function txt_handles = dialog_header_fcn(pos,im_cdata,header_txt,desc_txt)

curr_ini = find_inisettings;

%
% [14 245 433 72] 
%

axes('Units','pixels', ...
   'Tag','BGAxes', ...
   'Position',pos, ...
   'Color',[1 1 1], ...
   'XColor',[0 0 0], ...
   'YColor',[0 0 0], ...
   'Box','on', ...
   'XLim',[0 1], ...
   'ZLim',[0 1], ...
   'TickLength',[0 0], ...
   'XTickLabel',[], ...
   'YTickLabel',[], ...
   'Visible','on');

imageaxes = axes('Units','pixels', ...
   'Box','on', ...
   'TickLength',[0 0], ...
   'CameraUpVector',[0 1 0], ...
   'Color',[1 1 1], ...
   'Position',[pos(1)+16 pos(2)+(pos(4)-32)/2 39 39], ...
   'XTickLabelMode','manual', ...
   'YTickLabelMode','manual', ...
   'Tag','AxisLogo', ...
   'XColor',[1 1 1], ...
   'YColor',[1 1 1], ...
   'ZColor',[1 1 1]);

image('CData',im_cdata,'Clipping','off','Parent',imageaxes);

h1 = uicontrol('Units','pixels', ...
   'BackgroundColor',[1 1 1], ...
   'Position',[pos(1)+65 pos(2)+pos(4)-20 pos(3)-130 15], ...
   'BackgroundColor',[1 1 1], ...
   'FontSize',curr_ini.gui_fontsize, ...
   'FontName',curr_ini.gui_fontname, ...
   'FontWeight','bold', ...
   'Style','text', ...
   'HorizontalAlignment','left', ...
   'String',header_txt, ...
   'Tag','TextBoxHeader');

h2 = uicontrol('Units','pixels', ...
   'BackgroundColor',[1 1 1], ...
   'Position',[pos(1)+75 pos(2)+10 pos(1)+pos(3)-100 pos(4)-30], ...
   'BackgroundColor',[1 1 1], ...
   'FontSize',curr_ini.gui_fontsize, ...
   'FontName',curr_ini.gui_fontname, ...
   'FontWeight','normal', ...
   'Style','text', ...
   'HorizontalAlignment','left', ...
   'String',desc_txt, ...
   'Tag','TextBoxMain');

if nargout==1;
   txt_handles = [h1 h2];
end;

%
% end of dialog_header_fcn.m
%
