function val = matrix_t_exp_density(mu,P,Q,n,B)

[m s] = size(B);
dev = B-mu;
det_mat = eye(s)+(inverse(Q)*dev'*P*dev);

val = (det(det_mat)^(-(n+m+s)/2)*(det(P)^(s/2)))/(det(Q)^(m/2));
if isinf(val)==1;
   val = 1;
end;

%
% end of matrix_t_exp_density.m
%
