function Kids = getchildren(ha)
%GETCHILDREN Get children that can have legends
%   Note: by default, lines get labeled before patches;
%   patches get labeled before surfaces.
Kids = flipud([findobj(ha,'type','surface') ;...
       findobj(ha,'type','patch') ; findobj(ha,'type','line')]);


%
% end of getchildren.m
%
