function [out1,out2] = strsep(in,type_var)

%
% separate a string in using the type_var character. out1 is everything
% before the type_var character and out2 is everthing after. default
% type_var character is $. Only 1 line strings allowed.
%

out1 = '';
out2 = '';

if nargin==1;
   type_var = '$';
end;

if isstr(in)==0;
   return;
end;

if size(in,1)>1;
   in = in(1,:);
end;

thisplace = findstr(in,type_var);

if isempty(thisplace)==0;
   thisplace = thisplace(1,1);
   if thisplace==1;
      out2 = in(1,2:size(in,2));
   elseif thisplace==size(in,2);
      out1 = in(1,1:thisplace-1);
   else;
      out1 = in(1,1:thisplace-1);
      out2 = in(1,thisplace+1:size(in,2));
   end;
else;
   out1 = in;
end;

%
% end of strsep.m
%
