function change_light_position

gcbo_par = get(gcbo,'Parent');
kids = sort(get(gcbo_par,'Children')');
curr_value = 0;
for i=1:size(kids,2);
   set(kids(1,i),'Checked','off');
   if kids(1,i)==gcbo;
      curr_value = i;
   end;
end;
set(gcbo,'Checked','on');

my_light = findobj(gca,'Type','light')';
light_surf = get(my_light,'UserData');

if curr_value==1;
   light_pos = [min(min(get(light_surf,'XData'))) min(min(get(light_surf,'YData'))) min(min(get(light_surf,'ZData')))];
elseif curr_value==2;
   light_pos = [min(min(get(light_surf,'XData'))) min(min(get(light_surf,'YData'))) max(max(get(light_surf,'ZData')))];
elseif curr_value==3;
   light_pos = [min(min(get(light_surf,'XData'))) max(max(get(light_surf,'YData'))) min(min(get(light_surf,'ZData')))];
elseif curr_value==4;
   light_pos = [min(min(get(light_surf,'XData'))) max(max(get(light_surf,'YData'))) max(max(get(light_surf,'ZData')))];
elseif curr_value==5;
   light_pos = [max(max(get(light_surf,'XData'))) min(min(get(light_surf,'YData'))) min(min(get(light_surf,'ZData')))];
elseif curr_value==6;
   light_pos = [max(max(get(light_surf,'XData'))) min(min(get(light_surf,'YData'))) max(max(get(light_surf,'ZData')))];
elseif curr_value==7;
   light_pos = [max(max(get(light_surf,'XData'))) max(max(get(light_surf,'YData'))) min(min(get(light_surf,'ZData')))];
elseif curr_value==8;
   light_pos = [max(max(get(light_surf,'XData'))) max(max(get(light_surf,'YData'))) max(max(get(light_surf,'ZData')))];
end;
set(my_light,'Position',light_pos);
light_line = findobj(gca,'Type','line','UserData','light')';
set(light_line,'XData',light_pos(1),'YData',light_pos(2),'ZData',light_pos(3));

%
% end of change_light_position.m
%
