function change_light_style

gcbo_par = get(gcbo,'Parent');
kids = sort(get(gcbo_par,'Children')');
for i=1:size(kids,2);
   set(kids(1,i),'Checked','off');
end;
set(gcbo,'Checked','on');

%
% make sure both the current axes and the light_line objects
% context menus agree
%
curr_axes_kids = get(get(gca,'UIContextMenu'),'Children')';
light_line_kids = get(get(findobj(gca,'Type','line','Tag','light')','UIContextMenu'),'Children')';

in_light = 0;
for i=1:size(light_line_kids,2);
   if gcbo_par==light_line_kids(1,i);
      in_light = 1;
      break;
   end;
end;

if in_light==1;
   these_handles = curr_axes_kids;
else;
   these_handles = light_line_kids;
end;

other_par = findobj(these_handles,'Label','Light Style')';
other_handles = sort(get(other_par,'Children')');
%
% we should now have 2 handles
%

my_light = findobj(gca,'Type','light')';
if strcmp(get(gcbo,'Label'),'Local')==1;
   set(my_light,'Style','local');
   set(other_handles(1),'Checked','off');
   set(other_handles(2),'Checked','on');
else;
   set(my_light,'Style','infinite');
   set(other_handles(1),'Checked','on');
   set(other_handles(2),'Checked','off');
end;

%
% end of change_light_style.m
%
