function fixxtix(this_axes)

xtick = get(this_axes,'XTick');
xlabels = get(this_axes,'XTickLabel');
%
% check if we need to fix the labels
%
if ((isalmostequal(mystr2num(strtrim(xlabels(1,:))),xtick(1,1))==0)|(isalmostequal(mystr2num(strtrim(xlabels(size(xlabels,1),:))),xtick(1,size(xtick,2)))==0))&(size(xtick,2)>=2);
   if xtick(1,2)-xtick(1,1)<1;
      %
      % figure out how many decimals we need
      %
      diff_tick = xtick(1,2)-xtick(1,1);
      dec = 1;
      num = 0;
      dec_bool = 0;
      while dec_bool==0;
         dec = 10*dec;
         num = num+1;
         if isalmostequal((dec*diff_tick)-floor(dec*diff_tick),0)==1;
            dec_bool = 1;
         end;
      end;
   else;
      num = 0;
   end;
   max_size = 0;
   num_str = ['%0.' num2str(num) 'f'];
   for i=1:size(xtick,2);
      ntick(i,1).tick = num2str(xtick(1,i),num_str);
      new_size = size(ntick(i,1).tick,2);
      ntick(i,1).size = new_size;
      if new_size>max_size;
         max_size = new_size;
      end;
   end;
   %
   xlabels = '';
   for i=1:size(xtick,2);
      c_size = ntick(i,1).size;
      add_str = '';
      if max_size>c_size;
         for j=1:max_size-c_size;
            add_str = [add_str ' '];
         end;
      end;
      xlabel = [add_str ntick(i,1).tick];
      xlabels = strvcat(xlabels,xlabel);
   end;
   set(this_axes,'XTickLabel',xlabels);
end;

%
% end of fixxtix.m
%
