function [p_series,pp_series,qq_series] = pq_plot_series(as_sorted,as_quant,as_table,df,test_var)

%
% computations for p-value plot
%
% as_sorted is repx1
% df is 1x1 or 1x2
% test_var is integer 0 or 1
%

rep = size(as_sorted,1);

if test_var==1;
   edf_p_values = ones(rep,1)-fdis_cdf(as_sorted,df(1,1)*ones(rep,1),df(1,2)*ones(rep,1));
else;
   edf_p_values = ones(rep,1)-chis_cdf(as_sorted,df(1,1)*ones(rep,1));
end;

p_series = zeros(221,1);
pp_series = zeros(221,1);
qq_series = zeros(221,1);
for num=1:221;
   p_num = edf_p_values(edf_p_values<=as_quant(num,1));
   p_series(num,1) = size(p_num,1)/rep;   
   pp_num = as_sorted(as_sorted<=as_table(num,1));
   pp_series(num,1) = size(pp_num,1)/rep;
   qq_series(num,1) = as_sorted(ceil(as_quant(num,1)*rep),1);
end;

%
% end of pq_plot_series.m
%
