%REVERSE  Reverses the order of elements in a vector.
%
%   REVERSE(X) returns the vector X, except with the order of elements
%   reversed.
%
function [y] = reverse(x)
%===============================================================================
%  Copyright  1998-2000 Julian Andrew de Marchi, Ph.D. (julian@matlinks.net)
%  Use & distribution covered by GNU General Public License (www.gnu.org)
%===============================================================================

%------------------
% parse the inputs
%------------------
if (nargin == 0), error('No data vector X supplied.'); end;

%--------------------
% reverse the vector
%--------------------
y = x(length(x):-1:1);


%===============================================================================
% End-of-File
%===============================================================================