function setfigureproperties(h)

curr_ini = find_inisettings;

if curr_ini.landscape==1;
   orientstr = 'landscape';
else;
   orientstr = 'portrait';
end;
if curr_ini.invert_hardcopy==1;
   inv_hardcopy = 'on';
else;
   inv_hardcopy = 'off';
end;
if curr_ini.z_buffer==1;
   renderer = 'zbuffer';
else;
   renderer = 'painters';
end;

%
% setting the current figure properties
%

if ishandle(h)==1;
   set(h,'Color',get(0,'defaultuicontrolbackgroundcolor'), ...
         'Renderer',renderer, ...
         'PaperUnits',curr_ini.paperunits, ...
         'PaperOrientation',orientstr, ...
         'PaperPositionMode',curr_ini.paperposmode, ...
         'PaperType',curr_ini.papertype, ...
         'InvertHardcopy',inv_hardcopy);
   %
   if matlabnumber>=7.0;
      set(h,'DockControl','off');
   end;
   %
   % obey centering and filling defaults
   %
   center_fill_figure(h,curr_ini.fill_value,curr_ini.center_value);
end;

%
% end of setfigureproperties.m
%
